<app-unified-header></app-unified-header>
<div class="container ui-area">
    <div id="error-alert" class="failure-alert-parent">
        <a  class="close alert-close-btn" (click)="onAlertClose()" aria-label="close">&times;</a>
        <span id="error-alert-message">Error! Unable to updated Object. Please try again.</span>
    </div>
    <app-loading-gif-text></app-loading-gif-text>
    <p id="error-message-text"></p>
    <p id="form-title" class="json-schema-form-element">Please fill the below form and click submit to create the object.</p>
    <json-schema-form 
        id="json-schema-form"
        class="json-schema-form-element"
        loadExternalAssets="false" [schema]="objectJsonSchema" framework="bootstrap-4"
        (onSubmit)="submitButtonClicked($event)">
    </json-schema-form>
</div>